Retrieve a metafield owner type
get
/api/metafield_owner_types/{id} Retrieves a MetafieldOwnerType resource.
Returns a single metafield owner type by id, including its allowedConstraints.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | required | MetafieldOwnerType identifier |
Response
200 - MetafieldOwnerType resource
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
id | string | - | The metafield owner type identifier (e.g. products). |
description | string | - | A human-readable description of the metafield owner type. |
allowedConstraints | string[] | - | The constraint types that can be applied to a metafield definition whose ownerType is this owner type. Owner types that allow none return an empty array. |
| Property | Type | Required | Description |
|---|---|---|---|
id | string | - | The metafield owner type identifier (e.g. products). |
description | string | - | A human-readable description of the metafield owner type. |
allowedConstraints | string[] | - | The constraint types that can be applied to a metafield definition whose ownerType is this owner type. Owner types that allow none return an empty array. |
Errors
404 - Not found
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | integer | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |
description | string | null | - |
| Property | Type | Required | Description |
|---|---|---|---|
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | integer | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |